Skip to main content
POST
/
api
/
v1
/
listings
/
{uuid}
/
contacts
Add contacts to an existing listing
curl --request POST \
  --url https://{subdomain}.mihu.ai/api/v1/listings/{uuid}/contacts \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "contacts": [
    {
      "name": "John",
      "surname": "Doe",
      "phone_number": "+1234567890",
      "email": "john@example.com",
      "timezone": "America/New_York",
      "country_code": "US",
      "primary_language": "en",
      "company": "Acme Corp",
      "city": "New York",
      "lead_source": "website"
    }
  ]
}
'
import requests

url = "https://{subdomain}.mihu.ai/api/v1/listings/{uuid}/contacts"

payload = { "contacts": [
{
"name": "John",
"surname": "Doe",
"phone_number": "+1234567890",
"email": "john@example.com",
"timezone": "America/New_York",
"country_code": "US",
"primary_language": "en",
"company": "Acme Corp",
"city": "New York",
"lead_source": "website"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
contacts: [
{
name: 'John',
surname: 'Doe',
phone_number: '+1234567890',
email: 'john@example.com',
timezone: 'America/New_York',
country_code: 'US',
primary_language: 'en',
company: 'Acme Corp',
city: 'New York',
lead_source: 'website'
}
]
})
};

fetch('https://{subdomain}.mihu.ai/api/v1/listings/{uuid}/contacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));



Authorizations

Authorization
string
header
required

Use a Bearer token to access these API endpoints. Example: "Bearer {your-token}"

Path Parameters

uuid
string<uuid>
required

Body

application/json
contacts
object[]
required

Contacts to add. Matched by phone_number (priority 1) then email (priority 2). If found, existing contact is updated with new data; otherwise a new contact is created.

Response

Success